.PHONY: build clean tool lint help

APP=applet

all: build

build:
	go build -o ./bin/$(APP) ./cmd/main.go

lite:
	go build -ldflags "-s -w" -o ./bin/$(APP) ./cmd/main.go

install:
	#@go build -v .
	go install ./cmd/...

tool:
	go vet ./...; true
	gofmt -w .

lint:
	golint ./...

clean:
	rm -rf go-gin-example
	go clean -i .

help:
	@echo "make: compile packages and dependencies"
	@echo "make tool: run specified go tool"
	@echo "make lint: golint ./..."
	@echo "make clean: remove object files and cached files"